BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 This type is safe for multithreaded operations. System.ValueType System.IComparable System.IComparable<System.Boolean> System.IConvertible System.IEquatable<System.Boolean>

Represents a Boolean value.

The value type represents the logical values and . The size of this type is 8 bits, the representation of is all-bits-zero, and the representation of is unspecified except that it shall have at least one bit set.

- Method
  System.Int32 `` A to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Condition
  A negative number
  Current instance is and is .
  Zero
  Current instance == .
  Any positive number
  Current instance is and is .

  This method is implemented to support the interface.

  2.0.0.0
- Method
  System.Int32 `` A to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Return Value
  Condition
  A negative number
  Current instance is and is .
  Zero
  Current instance == .
  Any positive number
  Current instance is and is , or is a null reference.

  This method is implemented to support the interface.

  is not a and is not a null reference. 0 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the current instance and the specified represent the same value.

  if has the same value as the current instance; otherwise, .

  This method is implemented to support the interface.

  To be added. 2.0.0.0
- Method
  System.Boolean `` The to compare to the current instance. To be added.

  Determines whether the current instance and the specified represent the same type and value.

  if is a with the same value as the current instance. If is a null reference or is not an instance of , returns .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.String False

  Contains a representation of the logical value .

  This field is read-only.

  The value of this is "False".

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A value containing a hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.TypeCode Returns the of the Boolean Returns TypeCode.Boolean from enumeration. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` A containing the value to convert. The string is equivalent to either or , can contain leading and/or trailing whitespace, and is parsed in a case-insensitive manner.

  Returns the specified converted to a value.

  if is equivalent to ; otherwise, .

  To be added. is a null reference. is not equivalent to either or .

  The following example demonstrates the method.

  `using System; public class BoolParse { public static void Main() { Boolean b = Boolean.Parse(" true "); Console.WriteLine("\" true \" parses to \"{0}\".", b); } }`

  The output is

  " true " parses to "True".

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Byte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Char `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Decimal `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Double `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Int64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.SByte `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Single `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.UInt16 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.UInt32 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.UInt64 `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  if the value of the current instance is ; otherwise, .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.String `` (Reserved) A object.

  Converts the value of this instance to its equivalent representation.

  if the value of this instance is , or if the value of this instance is .

  The parameter is reserved. It does not participate in the execution of this method.

  0
  1.0.5000.0
  2.0.0.0
- Field
  System.String True

  Contains a representation of the logical value .

  This field is read-only.

  The value of this is "True".

  0
  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)